<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/17/2005 *
 * ===================                          Last change: 02/17/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : doubler_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Functions for the guest's newsletter             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer den Newsletter an die Gaeste     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
}

// Generates a HTML table based on given data
// @TODO Lame description
function generateDoublerTable ($userid = '0', $done = 'N', $ref = 'N', $sort = 'ASC') {
	if (empty($cnt)) $cnt = '0';
	$add = ''; $DT_MODE = '0';
	if ($userid > 0) {
		// Load entries only from a single user
		$add = sprintf(" AND `userid`=%s", bigintval($userid));
		$mode = 'member'; $COLS = 4; $DT_MODE = 2;
		$message = getMessage('DOUBLER_MEMBER_NO_ENTRIES_FOUND');
	} else {
		// Guest mode!
		$mode = 'guest'; $COLS = 3; $DT_MODE = 3;
		$message = getMessage('DOUBLER_GUEST_NO_ENTRIES_FOUND');
	}

	if (($done == 'Y') && ($sort == 'ASC')) {
		// Already payed out points (latest payouts first)
		$limit = getConfig('doubler_display_old');
	} elseif ($sort == 'ASC') {
		// List entries which will receive their payout soon
		$limit = getConfig('doubler_display_pay');
	} elseif ($sort == 'DESC') {
		// Newest entries
		$limit = getConfig('doubler_display_new');
	}

	// List entries
	$result = SQL_QUERY_ESC("SELECT
	`userid`, `refid`, `points`, `timemark`
FROM
	`{?_MYSQL_PREFIX?}_doubler`
WHERE
	`completed`='%s' AND `is_ref`='%s'" . $add . "
ORDER BY
	`timemark` %s
LIMIT %s",
		array(
			$done,
			$ref,
			$sort,
			$limit
		), __FUNCTION__, __LINE__);

	if (SQL_NUMROWS($result) > 0) {
		// List entries
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result)) {
			// Rewrite userid/refid only if admin is in
			// @TODO Can't this be moved into EL?
			if (isAdmin()) {
				// Set links to admin area
				if (isValidUserId($content['userid'])) { $content['userid'] = generateUserProfileLink($content['userid']); } else { $content['userid'] = '---'; }
				if (isValidUserId($content['refid']))  { $content['refid']  = generateUserProfileLink($content['refid']);  } else { $content['refid']  = '---'; }
			} // END - if

			// Prepare data for the row template
			$content = array(
				'userid'   => $content['userid'],
				'rid'      => $content['refid'],
				'points'   => $content['points'],
				'timemark' => generateDateTime($content['timemark'], $DT_MODE),
				'sw'       => $SW,
			);

			// Load template and switch color
			$OUT .= loadTemplate($mode . '_doubler_list_rows', true, $content);
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result);
	} else {
		// List no entries
		$OUT = '<tr>
  <td colspan="' . $COLS . '" align="center" class="doubler_big_row bottom">
    ' . loadTemplate('admin_settings_saved', true, $message) . '
  </td>
</tr>';
	}

	// Return template
	return loadTemplate($mode . '_doubler_list', true, $OUT);
}

// Get total points left in doubler pot
function getDoublerTotalPointsLeft() {
	// Initialize variables
	$points = '0';

	if (getConfig('doubler_own') == 'Y') {
		// Take points from doubler's own account
		$points += getConfig('doubler_points') - getConfig('doubler_used');
	} // END - if

	if ((getConfig('doubler_jackpot') == 'Y') && (isExtensionActive('jackpot'))) {
		// Load jackpot
		$jackpot = getJackpotPoints();

		if (!empty($jackpot)) $points += $jackpot;
	} // END - if

	if (getConfig('doubler_userid') > 0) {
		// Get user's points
		$user = countSumTotalData(getConfig('doubler_userid'), 'user_points', 'points');
		$points += $user;
	} // END - if

	// Return value
	return $points;
}

// [EOF]
?>
